Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class SOMFacet

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet

Direct Known Subclasses:
  FacetEncoding, FacetEnumeration, FacetPattern, FacetPeriod, FacetWhiteSpace, NumericFacet

public abstract class SOMFacet
extends SOMObject

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `duration` Deprecated. 3/16/2001
`static java.lang.String` | `encoding` Deprecated. 3/16/2001
`static java.lang.String` | `enumeration`
`static java.lang.String` | `fractionDigits`
`static java.lang.String` | `length`
`static java.lang.String` | `maxExclusive`
`static java.lang.String` | `maxInclusive`
`static java.lang.String` | `maxLength`
`static java.lang.String` | `minExclusive`
`static java.lang.String` | `minInclusive`
`static java.lang.String` | `minLength`
`static java.lang.String` | `pattern`
`static java.lang.String` | `period` Deprecated. 3/16/2001
`static java.lang.String` | `precision` Deprecated. 3/16/2001
`static java.lang.String` | `scale` Deprecated. 3/16/2001
`static java.lang.String` | `totalDigits`
`static java.lang.String` | `whiteSpace`

Constructor Summary
`SOMFacet()`

Method Summary
`java.util.Hashtable` | `getAttributes(boolean getAll)`
`static SOMFacet` | `getFacet(java.lang.String facet_type, java.lang.String val)`
`boolean` | `getFixed()`
`java.lang.String` | `getTagName()`
`abstract java.lang.String` | `getValue()`
`void` | `setFixed(boolean f)`
`abstract void` | `setValue(java.lang.String val)`
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getID, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### length

    public static final java.lang.String length

  See Also:
    `FacetLength`

### minLength

    public static final java.lang.String minLength

  See Also:
    `FacetMinLength`

### maxLength

    public static final java.lang.String maxLength

  See Also:
    `FacetMaxLength`

### pattern

    public static final java.lang.String pattern

  See Also:
    `FacetPattern`

### enumeration

    public static final java.lang.String enumeration

  See Also:
    `FacetEnumeration`

### whiteSpace

    public static final java.lang.String whiteSpace

  See Also:
    `FacetWhiteSpace`

### maxInclusive

    public static final java.lang.String maxInclusive

  See Also:
    `FacetMaxInclusive`

### maxExclusive

    public static final java.lang.String maxExclusive

  See Also:
    `FacetMaxExclusive`

### minExclusive

    public static final java.lang.String minExclusive

  See Also:
    `FacetMinExclusive`

### minInclusive

    public static final java.lang.String minInclusive

  See Also:
    `FacetMinInclusive`

### precision

    public static final java.lang.String precision

  Deprecated. 3/16/2001
  See Also:
    `FacetPrecision`

### scale

    public static final java.lang.String scale

  Deprecated. 3/16/2001
  See Also:
    `FacetScale`

### encoding

    public static final java.lang.String encoding

  Deprecated. 3/16/2001
  See Also:
    `FacetEncoding`

### duration

    public static final java.lang.String duration

  Deprecated. 3/16/2001
  See Also:
    `FacetDuration`

### period

    public static final java.lang.String period

  Deprecated. 3/16/2001
  See Also:
    `FacetPeriod`

### totalDigits

    public static final java.lang.String totalDigits

  See Also:
    `FacetTotalDigits`

### fractionDigits

    public static final java.lang.String fractionDigits

  See Also:
    `FacetFractionDigits`

Constructor Detail

### SOMFacet

    public SOMFacet()

Method Detail

### getValue

    public abstract java.lang.String getValue()

### setValue

    public abstract void setValue(java.lang.String val)

### setFixed

    public void setFixed(boolean f)

### getFixed

    public boolean getFixed()

### getAttributes

    public java.util.Hashtable getAttributes(boolean getAll)

### getTagName

    public java.lang.String getTagName()

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

### getFacet

    public static SOMFacet getFacet(java.lang.String facet_type,
                                    java.lang.String val)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)